## pymonoprice 0.4

=== requirements.txt ===
pyserial>=3.4
pyserial-asyncio>=0.4

=== debian/changelog ===
pymonoprice (0.4-3) unstable; urgency=medium

  * Team upload.
  * Added missing build-depends on python3-setuptools (Closes: #1080715).

 -- Thomas Goirand <zigo@debian.org>  Sun, 08 Sep 2024 12:35:55 +0200

pymonoprice (0.4-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 21 Aug 2024 08:06:46 +0100

pymonoprice (0.4-1) unstable; urgency=medium

  * Initial release. (Closes: #1079104)

 -- Edward Betts <edward@4angle.com>  Tue, 20 Aug 2024 09:16:16 +0100

=== debian/control ===
Source: pymonoprice
Maintainer: Home Assistant Team <team+homeassistant@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-pytest <!nocheck>,
 python3-serial-asyncio <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/etsinko/pymonoprice
Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pymonoprice
Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pymonoprice.git

Package: python3-pymonoprice
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python API for controlling Monoprice 6-zone amplifier
 This library enables integration with the Monoprice 6-Zone Home Audio
 Controller via a serial connection. It facilitates the control of multiple
 audio zones, allowing for operations such as changing volume, power state,
 mute status, and audio source. Users can also manage advanced settings like
 treble, bass, balance, and various modes including Public Announcement and Do
 Not Disturb. Each audio zone can be controlled individually, and the library
 supports both synchronous and asynchronous operation modes.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pymonoprice
export PYBUILD_TEST_PYTEST=1
export CRYPTOGRAPHY_OPENSSL_NO_LEGACY=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf pymonoprice.egg-info/

=== debian/tests/control ===
Tests: run-tests
Depends:
 python3-all,
 python3-pytest,
 @,

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/pymonoprice-$1\.tar\.gz/ \
  https://github.com/etsinko/pymonoprice/tags .*/v?(\d\S+)\.tar\.gz

## pymonoprice 0.5

=== requirements.txt ===
pyserial>=3.4
pyserial-asyncio-fast>=0.16

=== debian/changelog ===
pymonoprice (0.5-2) unstable; urgency=medium

  * Fix test suite under Python 3.14 by explicitly creating and setting
    an asyncio event loop. (Closes: #1123175)
  * Remove 'Rules-Requires-Root: no', now the default.
  * Update debian/watch to format version 5.
  * Add debian/salsa-ci.yml.

 -- Edward Betts <edward@4angle.com>  Thu, 25 Dec 2025 10:37:17 +0000

pymonoprice (0.5-1) unstable; urgency=medium

  * New upstream release.
  * Switch to autopkgtest-pkg-pybuild.
  * Upstream switched from serial-asyncio to serial-asyncio-fast.
  * Update Standards-Version.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Thu, 29 May 2025 22:01:47 -0500

=== debian/control ===
--- 
+++ 
@@ -12,12 +12,12 @@
  python3-setuptools,
 Build-Depends-Indep:
  python3-pytest <!nocheck>,
- python3-serial-asyncio <!nocheck>,
-Rules-Requires-Root: no
-Standards-Version: 4.7.0
+ python3-pyserial-asyncio-fast <!nocheck>,
+Standards-Version: 4.7.2
 Homepage: https://github.com/etsinko/pymonoprice
 Vcs-Browser: https://salsa.debian.org/homeassistant-team/deps/pymonoprice
 Vcs-Git: https://salsa.debian.org/homeassistant-team/deps/pymonoprice.git
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: python3-pymonoprice
 Architecture: all

=== debian/watch ===
Version: 5

Template: Github
Owner: etsinko
Project: pymonoprice
